# Rasbian Install Python 3.9.1
How to install Python 3.9.1 on Rasbian Buster (Linux kernel 5.4.79) (current versions at time of writing)
##### The following text in grey boxes are Terminal/Shell commands to be run in an ssh session or through the CLI on the Pi.
## Fresh install of Rasbian
  1. Download the latest version of Raspbian from https://www.raspberrypi.org/software/operating-systems/#raspberry-pi-os-32-bit
  2. Follow instructions to burn image to sd card. 
      https://www.raspberrypi.org/documentation/installation/installing-images/README.md
  #### Optional access methods (headless system)
  1. If SSH access is desired:
      1. create a file without extension named "ssh" and place it in the root dir of the sd card.
      2. You can now access the pi by opening a terminal or command shell and typing:
          ``` 
          ssh pi@\<ipaddress of pi> 
          ```
          1. Default password is "raspberry"
        3. Add your ssh key to the pi for password-less login
            1. https://www.raspberrypi.org/documentation/remote-access/ssh/passwordless.md
  ###
  2. If Remote Desktop is desired:
      1. ssh into the pi (previous step) then run these commands.
      2. Enable remote desktop option
          ``` 
          sudo raspi-config
          ```
          1. select "System Options" >> "Boot / Auto Login" >> "Desktop GUI, requiring user to login"
          2. select "finish" then "yes" to reboot
          3. after reboot ssh into pi again
      3.  Remove realvnc viewer  
          ``` 
          sudo apt-get purge -y realvnc-vnc-server
          ```
      4.  Install XRDP  
          ```
          sudo apt-get install -y xrdp
          ```
      5. Reboot the Pi
          ```
          sudo reboot
          ```
      6. After reboot you should be able to remote into the Pi using an RDC client using the Pi's assigned IP and default login credentials.
          1. Default username: "pi"
          2. Default password: "raspberry"
          3. Configuration of your local router may be nessesary to allow the RDC client to connect
        

## Update Rasbian and install Python 3.9.1
#### Option A - Full install with cython and matplotlib
```
curl -Ls "https://git.robsengineeringadventures.com/rmhunter/Rasbian/-/raw/master/installA" | sh
```

#### Check the default Python version
```
python --version
```

#### Check the default Python3 version 
```
python3 --version
```


